
function Draw_Plot(theta_true,ptheta_adaptive,ptheta_random,ptheta_updown,ptheta_p05,eap_se_adaptive,eap_se_random,eap_se_updown,eap_se_p05,t_block,area)

if exist('Figures','dir')==0
    system('mkdir Figures');
end

nexaminees=length(theta_true(:,1));

for i=1:nexaminees
    
    alpha_true=theta_true(i,1)-theta_true(i,2)*exp(-theta_true(i,3)*t_block);
    alpha_adaptive=ptheta_adaptive(i,1)-ptheta_adaptive(i,2)*exp(-ptheta_adaptive(i,3)*t_block);
    alpha_random=ptheta_random(i,1)-ptheta_random(i,2)*exp(-ptheta_random(i,3)*t_block);
    alpha_updown=ptheta_updown(i,1)-ptheta_updown(i,2)*exp(-ptheta_updown(i,3)*t_block);
    
    var_alpha_adaptive=(eap_se_adaptive(i,1))^2+(eap_se_adaptive(i,2))^2*(exp(-2*(ptheta_adaptive(i,3))*t_block))+(eap_se_adaptive(i,3))^2*(ptheta_adaptive(i,2)*t_block.*exp(-ptheta_adaptive(i,3)*t_block)).^2;
    var_alpha_random=(eap_se_random(i,1))^2+(eap_se_random(i,2))^2*(exp(-2*(ptheta_random(i,3))*t_block))+(eap_se_random(i,3))^2*(ptheta_random(i,2)*t_block.*exp(-ptheta_random(i,3)*t_block)).^2;
    var_alpha_updown=(eap_se_updown(i,1))^2+(eap_se_updown(i,2))^2*(exp(-2*(ptheta_updown(i,3))*t_block))+(eap_se_updown(i,3))^2*(ptheta_updown(i,2)*t_block.*exp(-ptheta_updown(i,3)*t_block)).^2;
    
    ub_alpha_adaptive=alpha_adaptive+1.96*sqrt(var_alpha_adaptive);
    lb_alpha_adaptive=alpha_adaptive-1.96*sqrt(var_alpha_adaptive);
    ub_alpha_random=alpha_random+1.96*sqrt(var_alpha_random);
    lb_alpha_random=alpha_random-1.96*sqrt(var_alpha_random);    
    ub_alpha_updown=alpha_updown+1.96*sqrt(var_alpha_updown);
    lb_alpha_updown=alpha_updown-1.96*sqrt(var_alpha_updown);
    
    h1=plot(t_block,alpha_true,'-k','LineWidth',2);
    title(['true value: {\ita} = ',num2str(theta_true(i,1)),', {\itb} = ',num2str(theta_true(i,2)),' and {\itc} = ',num2str(theta_true(i,3))],'fontsize',14,'color','k');
    xlabel('val({\itt}) (value of time point, in seconds)','fontsize',12, 'fontweight', 'b','color','k');
    ylabel('alpha ({\itt})','fontsize',12, 'fontweight', 'b','color','k');
    
    hold on;

    h2=plot(t_block,alpha_adaptive,'-.r','LineWidth',2);
    h3=plot(t_block,alpha_updown,'--m','LineWidth',2);
	h4=plot(t_block,alpha_random,':b','LineWidth',2);

    h5=plot(t_block,ub_alpha_adaptive','-.r*','LineWidth',2);
    h6=plot(t_block,lb_alpha_adaptive','-.r*','LineWidth',2);
    h7=plot(t_block,ub_alpha_updown','--mo','LineWidth',2);
    h8=plot(t_block,lb_alpha_updown','--mo','LineWidth',2);
	h9=plot(t_block,ub_alpha_random',':bs','LineWidth',2);
    h10=plot(t_block,lb_alpha_random',':bs','LineWidth',2);

    legend([h1,h2,h3,h4,h5,h6,h7,h8,h9,h10],'true','entropy','updown','random','ub entropy','lb entropy','ub updown','lb updown','ub random','lb random','Location','SouthEast');

    min_ordinate=min([min(get(h6,'Ydata')),min(get(h8,'Ydata')),min(get(h10,'Ydata'))]);
    text((max(t_block))/2-20,min_ordinate+0.5,['\bf\color{red}Entropy: area is ',num2str(area(i,1))],'fontsize',10);
    text((max(t_block))/2-20,min_ordinate+0.25,['\bf\color{magenta}Up and Down: area is ',num2str(area(i,3))],'fontsize',10);
    text((max(t_block))/2-20,min_ordinate,['\bf\color{blue}Random: area is ',num2str(area(i,2))],'fontsize',10);

    set(gcf,'Visible','off');
    saveas(gcf,[pwd,'\Figures\alpha_',num2str(i)],'png');
    
    hold off;
    
end

