
function [ptheta,eap_se]=EAP_person(theta_mc,response,x,t,beta,gamma,lambda)
% Use EAP to update person parameter \theta=(a, b, c, \beta, \lambda=\gamma)
% beta=2 (fixed)
% lambda=gamma=0.05 (fixed)


[total_sample,nparameters]=size(theta_mc);
trial_length=length(x);
    
% IRFs is a matrix of total_sample*trial_length, denoting the P(Y=1) or y
ct=theta_mc(:,3)*t';
alpha=repmat(theta_mc(:,1),1,trial_length)-repmat(theta_mc(:,2),1,trial_length).*exp(-ct);
denominator_of_IRF=1+exp(-beta*(repmat(x',total_sample,1)-alpha));
IRFs=gamma+(1-gamma-lambda)./denominator_of_IRF;
    
% Compute the likelihood, which is a column vector of  total_sample*1
response_matrix=repmat(response',total_sample,1);
likelihood=prod((IRFs.^response_matrix).*((1-IRFs).^(1-response_matrix)),2);

numerator_of_eap=sum(theta_mc.*repmat(likelihood,1,nparameters),1);
denominator_of_eap=sum(likelihood,1);

ptheta=numerator_of_eap/denominator_of_eap;
numerator_of_eap_se=sum((theta_mc-repmat(ptheta,total_sample,1)).^(2).*repmat(likelihood,1,nparameters),1);
eap_se=sqrt(numerator_of_eap_se/denominator_of_eap);
    
end

