
function IRFs_Next=IRFs_Next_Computation(x_block,theta_mc,t_block,beta,gamma,lambda)
% compute P(Y^k=y|theta^(m)), size of total_sample*nstimuli


nstimuli=length(x_block);
[total_sample,~]=size(theta_mc);
ntimepoints=length(t_block);

IRFs_Next=cell(ntimepoints,1);
for i=1:ntimepoints
    ct_next=theta_mc(:,3)*t_block(i,1);
    alpha_next=theta_mc(:,1)-theta_mc(:,2).*exp(-ct_next);
    denominator_of_IRF_next=1+exp(-beta*(repmat(x_block',total_sample,1)-repmat(alpha_next,1,nstimuli)));
    IRFs_Next{i,1}=gamma+(1-gamma-lambda)./denominator_of_IRF_next; 
end

end

