
function [likelihood,stimulus_id]=entropy_selection(x_block,u,v,trial_length,prior_value,ilikelihood,IRFs_Next,t_block)



nstimuli=length(x_block);
total_sample=length(prior_value); 
ntimepoints=length(t_block);
    
% Step 1: Compute the second term of entropy index
    
% First compute the likelihood (i.e., L(y^(k-1)|theta_m)), which is a column vector of  total_sample*1
% IRFs is a vector of total_sample*1, denoting the P(Y=1)
time_point_1=mod(trial_length,ntimepoints);   % time point for y^(k-1)
if (time_point_1==0) 
    time_point_1=ntimepoints;
end
IRFs=IRFs_Next{time_point_1}(:,u(trial_length,1));
if (v(trial_length,1)==1)
    likelihood=IRFs;                                                    % P(y^(k-1)|theta^(m))
else
    likelihood=1-IRFs;
end
likelihood=likelihood.*ilikelihood;
    
% Then use IRFs_next (i.e., P(Y^k=y|theta^(m)), size of total_sample*nstimuli) which has been prepared
% IRFs_next_1 or IRFs_next_0 is a matrix of total_sample*nstimuli
time_point_2=mod(trial_length+1,ntimepoints);        % time point for y^k=y
if (time_point_2==0) 
    time_point_2=ntimepoints;
end
IRFs_next_1=IRFs_Next{time_point_2,1};
IRFs_next_0=1-IRFs_next_1;
    
% Next compute L(y^(k-1),y^k=y|theta^(m))
L_1=IRFs_next_1.*repmat(likelihood,1,nstimuli);
L_0=IRFs_next_0.*repmat(likelihood,1,nstimuli);
    
second_term_1=(sum(L_1,1)/sum(likelihood,1))';
second_term_0=(sum(L_0,1)/sum(likelihood,1))';

% Step 2: Compute the first term of the entropy index 
first_term_1_left=L_1./(repmat(sum(L_1,1),total_sample,1));
first_term_1_right=log((repmat(sum(L_1,1),total_sample,1))./(total_sample*L_1.*repmat(prior_value,1,nstimuli)));
first_term_1=(sum(first_term_1_left.*first_term_1_right,1))';
    
first_term_0_left=L_0./(repmat(sum(L_0,1),total_sample,1));
first_term_0_right=log((repmat(sum(L_0,1),total_sample,1))./(total_sample*L_0.*repmat(prior_value,1,nstimuli)));
first_term_0=(sum(first_term_0_left.*first_term_0_right,1))';
    
% Step 3: Compute the value of entropy index
entropy_index=first_term_1.*second_term_1+first_term_0.*second_term_0;
    
if (sum(isnan(entropy_index))>0)
	disp(('entropy index has NaN value!'));
end
if (sum(isinf(entropy_index))>0)
	disp(('entropy index has Inf value!'));
end
    
[~,stimulus_id]=min(entropy_index);
    

end

