
function [likelihood,stimulus_id]=expected_probability_05_selection(x_block,u,v,trial_length,ilikelihood,IRFs_Next,t_block)



nstimuli=length(x_block);
ntimepoints=length(t_block);
        
% First compute the likelihood (i.e., L(y^(k-1)|theta_m)), which is a column vector of  total_sample*1
% IRFs is a vector of total_sample*1, denoting the P(Y=1)
time_point_1=mod(trial_length,ntimepoints);   % time point for y^(k-1)
if (time_point_1==0) 
    time_point_1=ntimepoints;
end
IRFs=IRFs_Next{time_point_1}(:,u(trial_length,1));
if (v(trial_length,1)==1)
    likelihood=IRFs;                                                    % P(y^(k-1)|theta^(m))
else
    likelihood=1-IRFs;
end
likelihood=likelihood.*ilikelihood;
    
% Then use IRFs_next (i.e., P(Y^k=y|theta^(m)), size of total_sample*nstimuli) which has been prepared
% IRFs_next_1 or IRFs_next_0 is a matrix of total_sample*nstimuli
time_point_2=mod(trial_length+1,ntimepoints);        % time point for y^k=y
if (time_point_2==0) 
    time_point_2=ntimepoints;
end
IRFs_next_1=IRFs_Next{time_point_2,1};
    
% Next compute L(y^(k-1),y^k=y|theta^(m))
L_1=IRFs_next_1.*repmat(likelihood,1,nstimuli);
    
posterior_predictive_prob=(sum(L_1,1)/sum(likelihood,1))';
[~,stimulus_id]=min(abs(posterior_predictive_prob-0.5));
    

end

